Subject: [media-types] media types for ietf-anima-constrained-voucher

From: Michael Richardson <[email-masked]>
Date: Tue, 12 Jun 2018 10:45:27 -0400

draft-ietf-anima-constrained-voucher-00 asks for two new media types, used
within both the DTLS/COAP connection, and within an HTTPS connection.

We would like to do an early application for these types, as we need the
media type to be present before we can ask for the CoAP Content-Types
associated with them.

They are:

## Media-Type Registry

This section registers the 'application/voucher-cms+cbor' media type and the
'application/voucher-cose+cbor'in the
"Media Types" registry.  These media types are used to indicate that
the content is a CBOR voucher either signed with a cms structure or a
COSE_Sign1 structure [RFC8152].

### application/voucher-cms+cbor

    Type name:  application
    Subtype name:  voucher-cms+cbor
    Required parameters:  none
    Optional parameters:  none
    Encoding considerations:  CMS-signed CBOR vouchers are CBOR
      encoded.
    Security considerations:  See Security Considerations, Section
    Interoperability considerations:  The format is designed to be
      broadly interoperable.
    Published specification:  THIS RFC.
    Applications that use this media type:  ANIMA, 6tisch, and other
      zero-touch imprinting systems
    Additional information:
      Magic number(s):  None
      File extension(s):  .vch
      Macintosh file type code(s):  none
    Person & email address to contact for further information:  IETF
      ANIMA WG
    Intended usage:  LIMITED
    Restrictions on usage:  NONE
    Author:  ANIMA WG
    Change controller:  IETF
    Provisional registration? (standards tree only):  NO

### application/voucher-cose+cbor

    Type name:  application
    Subtype name:  voucher-cose+cbor
    Required parameters:  none
    Optional parameters:  cose-type
    Encoding considerations:  COSE_Sign1 CBOR vouchers are COSE objects
                              signed with one signer.
    Security considerations:  See Security Considerations, Section
    Interoperability considerations:  The format is designed to be
      broadly interoperable.
    Published specification:  THIS RFC.
    Applications that use this media type:  ANIMA, 6tisch, and other
      zero-touch imprinting systems
    Additional information:
      Magic number(s):  None
      File extension(s):  .vch
      Macintosh file type code(s):  none
    Person & email address to contact for further information:  IETF
      ANIMA WG
    Intended usage:  LIMITED
    Restrictions on usage:  NONE
    Author:  ANIMA WG
    Change controller:  IETF
    Provisional registration? (standards tree only):  NO

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 12 Jun 2018 20:12:53 +0200

[adding author all email, because AFAIK, official review process for
 standards tree is IESG review, so wanting AD on this. ]

a) Not sure about the process, but if it helps and/or is sufficient
   for an ANIMA WG chair to approve of this request. I hereby do.

b) I do assume Michael did simply copy out the request details 
   from ietf-anima-constrained-voucher-00 section 9.5, so please
   consider the request to be according to that draft versions section.

c) Michael: please write into rev -01 section 9.5 the state of the
   request (early allocation was requested ...(approved) according to below...)

Cheers
    Toerless

> _______________________________________________
> Anima mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/anima

-- 
---
[email-masked]

---

From: Toerless Eckert <[email-masked]>
Date: Tue, 12 Jun 2018 20:20:54 +0200

[again... adding author all email, because AFAIK, official review process for
 standards tree is IESG review, so wanting AD on this. ]

Cheers
    Toerless